Last Comment Bug 754894 - Catalog sheet code is broken at least in unpackaged build
: Catalog sheet code is broken at least in unpackaged build
Status: RESOLVED FIXED
[qa-]
: regression
Product: Core
Classification: Components
Component: Networking (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: mozilla15
Assigned To: Brian R. Bondy [:bbondy]
:
Mentors:
Depends on:
Blocks: CVE-2012-1945
  Show dependency treegraph
 
Reported: 2012-05-14 09:43 PDT by Boris Zbarsky [:bz]
Modified: 2012-05-22 19:15 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed
+
fixed
fixed
13+
fixed


Attachments
Patch v1. (1008 bytes, patch)
2012-05-14 12:11 PDT, Brian R. Bondy [:bbondy]
bzbarsky: review+
Details | Diff | Splinter Review

Description Boris Zbarsky [:bz] 2012-05-14 09:43:06 PDT
It's comparing stylesheet URIs, but bug 670514 changed what the stylesheet URI is in this case.

We need to make a change to nsResProtocolHandler similar to the one in bug 751905.
Comment 1 Brian R. Bondy [:bbondy] 2012-05-14 12:11:47 PDT
Created attachment 623755 [details] [diff] [review]
Patch v1.

I'm not sure what the catalog sheet code is, so I didn't test, but I think this is the desired fix.
Comment 2 Boris Zbarsky [:bz] 2012-05-14 12:28:34 PDT
Comment on attachment 623755 [details] [diff] [review]
Patch v1.

r=me.  Thanks!

You can test, if you really want to, by seeing how often the "do the load" stuff in nsDocument::EnsureCatalogSheet is hit for the same document if you load a document that does SVG stuff.  No way to write an automated test, sadly.  :(
Comment 3 Brian R. Bondy [:bbondy] 2012-05-15 09:16:24 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/3ce1f1bf0cfe
Comment 4 Ed Morley [:emorley] 2012-05-16 03:51:01 PDT
https://hg.mozilla.org/mozilla-central/rev/3ce1f1bf0cfe
Comment 5 Brian R. Bondy [:bbondy] 2012-05-18 20:28:18 PDT
Fixed for Aurora in changeset:
http://hg.mozilla.org/releases/mozilla-aurora/rev/cf5c4540fe22
See Bug 670514
Comment 6 Brian R. Bondy [:bbondy] 2012-05-21 16:05:17 PDT
Thanks for marking.
See Bug 670514
http://hg.mozilla.org/releases/mozilla-beta/rev/7a2c1909e205
Comment 7 Brian R. Bondy [:bbondy] 2012-05-21 17:55:51 PDT
http://hg.mozilla.org/releases/mozilla-esr10/rev/8ef222645a1a
Comment 8 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-05-22 15:22:01 PDT
Is there anything QA needs to do to verify this fix?
Comment 9 Boris Zbarsky [:bz] 2012-05-22 17:50:32 PDT
No, I don't think so.  Verifying involves basically either attaching a debugger or modifying the code to measure some things...
Comment 10 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-05-22 19:15:29 PDT
Okay, thanks Boris. Marking this [qa-] based on that.

Note You need to log in before you can comment on or make changes to this bug.